> For the complete documentation index, see [llms.txt](https://docs.tonic.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-generator-assignment/generator-api-reference/generator-api-ref-algebraic.md).

# Algebraic (AlgebraicGenerator)

The [Algebraic](/app/generation/generators/generator-reference/algebraic.md) generator identifies the algebraic relationship among three or more numeric values and generates new values to match. At least one of the values must be a non-integer.

The Algebraic generator must be linked to at least two other columns.

## Link object structure <a href="#generator-api-algebraic-link-object" id="generator-api-algebraic-link-object"></a>

The Algebraic generator does not support consistency. You cannot configure differential privacy.

There is no generator-specific configuration.

```json
{
  "schema": "string",
  "table": "string",
  "column": "string",
  "metadata": {
    "generatorId": "AlgebraicGenerator",
    "encryptionProcessor": "x-on", //To use configured Structural data encryption
    "customValueProcessor": "string" //If custom value processor applied
  }
}
```

## Example replacement <a href="#generator-api-algebraic-replacement" id="generator-api-algebraic-replacement"></a>

The following example replacement contains three linked columns that are assigned the Algebraic generator.

```json
{
  "name": "column3,column2,column1",
  "schema": "public",
  "table": "alg_me",
  "links": [
    {
      "schema": "public",
      "table": "alg_me",
      "column": "column3",
      "metadata": {
        "generatorId": "AlgebraicGenerator"
      }
    },
    {
      "schema": "public",
      "table": "alg_me",
      "column": "column2",
      "metadata": {
        "generatorId": "AlgebraicGenerator"
      }
    },
    {
      "schema": "public",
      "table": "alg_me",
      "column": "column1",
      "metadata": {
        "generatorId": "AlgebraicGenerator"
      }
    }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-generator-assignment/generator-api-reference/generator-api-ref-algebraic.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
